Bug 143939 - EDITING Change tracked character style change when cursor is inside a word does not store previous character style
Summary: EDITING Change tracked character style change when cursor is inside a word do...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: implementationError
Depends on:
Blocks: Track-Changes-TextFormatting
  Show dependency treegraph
 
Reported: 2021-08-18 15:27 UTC by NISZ LibreOffice Team
Modified: 2021-09-03 08:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment 174382 with a word changed by highlighting it and another by placing the cursor inside it (104.29 KB, image/png)
2021-08-18 15:27 UTC, NISZ LibreOffice Team
Details
attachment 174382 after rejecting the two tracked character format changes (82.58 KB, image/png)
2021-08-18 15:28 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-08-18 15:27:58 UTC
Created attachment 174386 [details]
attachment 174382 [details] with a word changed by highlighting it and another by placing the cursor inside it

This is a followup to bug 50447
When a character style is set on a paragraph in some cases the change tracked modification of character formatting does not restore the original character style.

Steps to reproduce:
    1. Open attachment 174382 [details], it contains a few paragraph of lorem ipsum formatted with Quotation character style and change tracking is enabled
    2. Double click on a word to highlight it
    3. Change a character formatting on it, such as make it bold
    4. Click into another word, but do not highlight it
    5. Change a character formatting on it, such as make it bold
    6. Reject all changes

Actual results:
The word changed in step 3 correctly gets back its “Quotation” character format, but the other changed in step 5 gets the default “No character style”.

Expected results:
The second words previous character style should be restored.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dd3ab0fd737ff84657ff34eebafe2628f489e5a1
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-08-18 15:28:19 UTC
Created attachment 174387 [details]
attachment 174382 [details] after rejecting the two tracked character format changes
Comment 2 Commit Notification 2021-08-19 12:56:21 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e891c2ee82f2d7566ddb4e15b9c03cecb9fc1f8

tdf#143939 sw: track format changes of the actual word

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2021-09-03 08:28:13 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d5ade739771ddf06cc7ee6d4af15672bfcf09ed6
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded